Summary
Deletes a list of provided root jobs and all their related items
Description
Only succeeds on completed or cancelled root jobs. Ignores jobs that don't fit that criteria. Recursively deletes children, tasks, job data, job history, and large files.
Route
POST /operations-manager/jobs/delete
Roles
admin
apiwrite
engineering
operations
Parameters
Details Example Schema
Name
Type
Required
Description
jobIds
array
yes
Array of job ids to remove.
Copied to Clipboard
{
"jobIds": [
"61300f543be33f5961398b8a",
"db2f0bf1a2249f743673305b",
"c5ae0fa35892ae69b8f12298",
"ad5b143d1ce95ead1ad5b3f5",
"73d9425817037dec07ce7c05"
]
}
Copied to Clipboard
{
"type": "object",
"properties": {
"jobIds": {
"title": "jobIds",
"type": "array",
"items": {
"$ref": "common#/definitions/ObjectIdLikeString"
}
}
},
"required": [
"jobIds"
],
"additionalProperties": false
}
Return
Details Example Schema
Name
Type
Description
result
object
The result of the delete jobs operation.
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": []
}
Copied to Clipboard
{
"title": "result",
"allOf": [
{
"$ref": "common-api#/definitions/success-response"
},
{
"type": "object",
"properties": {
"message": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"type": "object"
}
},
"metadata": {
"type": "object"
}
}
}
]
}